package com.iamberry.wechat.core.entity.relationship;

import java.util.Date;

public class WdRelation implements java.io.Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -8368742213638219772L;
	private Integer wdId;				//id
	private String openid;				//用户openid
	private Integer wdFirst;			//第一级微代理（第一个上级）
	private Integer wdSecond;			//第二级微代理（上上级）
	private Integer wdThird;			//第三级微代理（上上上级）
	private Integer wdFourth;			//第四级微代理 （上上上上级）
	private Integer wdCount;			//实际多少级
	private Date createDate;			//创建实际
	private Date updateDate;			//修改时间
	
	public Integer getWdId() {
		return wdId;
	}
	public void setWdId(Integer wdId) {
		this.wdId = wdId;
	}
	public String getOpenid() {
		return openid;
	}
	public void setOpenid(String openid) {
		this.openid = openid;
	}
	public Integer getWdFirst() {
		return wdFirst;
	}
	public void setWdFirst(Integer wdFirst) {
		this.wdFirst = wdFirst;
	}
	public Integer getWdSecond() {
		return wdSecond;
	}
	public void setWdSecond(Integer wdSecond) {
		this.wdSecond = wdSecond;
	}
	public Integer getWdThird() {
		return wdThird;
	}
	public void setWdThird(Integer wdThird) {
		this.wdThird = wdThird;
	}
	public Integer getWdFourth() {
		return wdFourth;
	}
	public void setWdFourth(Integer wdFourth) {
		this.wdFourth = wdFourth;
	}
	public Integer getWdCount() {
		return wdCount;
	}
	public void setWdCount(Integer wdCount) {
		this.wdCount = wdCount;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public Date getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
	@Override
	public String toString() {
		return "WdRelation [wdId=" + wdId + ", openid=" + openid + ", wdFirst="
				+ wdFirst + ", wdSecond=" + wdSecond + ", wdThird=" + wdThird
				+ ", wdFourth=" + wdFourth + ", wdCount=" + wdCount
				+ ", createDate=" + createDate + ", updateDate=" + updateDate
				+ "]";
	}
	
}
